import { ajax } from "../sdk/ajax";


/* 产品档案  ProductInfo*/
export const reqProductInfoList = (data) => ajax("post", "/farm-huyang/product-file/list", data)

export const reqAddProductInfo = (data) => ajax("post", "/farm-huyang/product-file/add", data)

export const reqUpdateProductInfo = (data) => ajax("post", "/farm-huyang/product-file/update", data)

export const reqDelProductInfo = (id) => ajax("post", "/farm-huyang/product-file/delete", {id})


/* 分割登记  SplitLog*/
export const reqSplitLogList = (data) => ajax("post", "/farm-huyang/registration-split/list", data)

export const reqAddSplitLog = (data) => ajax("post", "/farm-huyang/registration-split/add", data)

export const reqUpdateSplitLog = (data) => ajax("post", "/farm-huyang/registration-split/update", data)

export const reqDelSplitLog = (id) => ajax("post", "/farm-huyang/registration-split/delete", {id})



/* 羊皮登记  SheepskinLog*/
export const reqSheepskinLogList = (data) => ajax("post", "/farm-huyang/registration-sheepskin/list", data)

export const reqAddSheepskinLog = (data) => ajax("post", "/farm-huyang/registration-sheepskin/add", data)

export const reqUpdateSheepskinLog = (data) => ajax("post", "/farm-huyang/registration-sheepskin/update", data)

export const reqDelSheepskinLog = (id) => ajax("post", "/farm-huyang/registration-sheepskin/delete", {id})


/* 羊血登记  GoatBloodLog*/
export const reqGoatBloodLogList = (data) => ajax("post", "/farm-huyang/registration-blood/list", data)

export const reqAddGoatBloodLog = (data) => ajax("post", "/farm-huyang/registration-blood/add", data)

export const reqUpdateGoatBloodLog = (data) => ajax("post", "/farm-huyang/registration-blood/update", data)

export const reqDelGoatBloodLog = (id) => ajax("post", "/farm-huyang/registration-blood/delete", {id})


/* 羊杂登记  GoatHasletLog*/
export const reqGoatHasletLogList = (data) => ajax("post", "/farm-huyang/registration-miscellaneous/list", data)

export const reqAddGoatHasletLog = (data) => ajax("post", "/farm-huyang/registration-miscellaneous/add", data)

export const reqUpdateGoatHasletLog = (data) => ajax("post", "/farm-huyang/registration-miscellaneous/update", data)

export const reqDelGoatHasletLog = (id) => ajax("post", "/farm-huyang/registration-miscellaneous/delete", {id})