import { ajax } from "../sdk/ajax";


/* 客户管理  Client*/
export const reqClientList = (data) => ajax("post", "/farm-huyang/customer-management/list", data)

export const reqAddClient = (data) => ajax("post", "/farm-huyang/customer-management/add", data)

export const reqUpdateClient = (data) => ajax("post", "/farm-huyang/customer-management/update", data)

export const reqDelClient = (id) => ajax("post", "/farm-huyang/customer-management/delete", {id})


/* 价格管理  Price*/
export const reqPriceList = (data) => ajax("post", "/farm-huyang/price-management/list", data)

export const reqAddPrice = (data) => ajax("post", "/farm-huyang/price-management/add", data)

export const reqUpdatePrice = (data) => ajax("post", "/farm-huyang/price-management/update", data)

export const reqDelPrice = (id) => ajax("post", "/farm-huyang/price-management/delete", {id})


/* 屠宰直销  DirectSell*/
export const reqDirectSellList = (data) => ajax("post", "/farm-huyang/slaughter-sales/list", data)

export const reqAddDirectSell = (data) => ajax("post", "/farm-huyang/slaughter-sales/add", data)

export const reqUpdateDirectSell = (data) => ajax("post", "/farm-huyang/slaughter-sales/update", data)

export const reqDelDirectSell = (id) => ajax("post", "/farm-huyang/slaughter-sales/delete", {id})


/* 胴体销售  Carcass*/
export const reqCarcassList = (data) => ajax("post", "/farm-huyang/carcass-sales/list", data)

export const reqAddCarcass = (data) => ajax("post", "/farm-huyang/carcass-sales/add", data)

export const reqUpdateCarcass = (data) => ajax("post", "/farm-huyang/carcass-sales/update", data)

export const reqDelCarcass = (id) => ajax("post", "/farm-huyang/carcass-sales/delete", {id})


/* 分割销售  SplitSell*/
export const reqSplitSellList = (data) => ajax("post", "/farm-huyang/split-sales/list", data)

export const reqAddSplitSell = (data) => ajax("post", "/farm-huyang/split-sales/add", data)

export const reqUpdateSplitSell = (data) => ajax("post", "/farm-huyang/split-sales/update", data)

export const reqDelSplitSell = (id) => ajax("post", "/farm-huyang/split-sales/delete", {id})


/* 其他销售  ElseSell*/
export const reqElseSellList = (data) => ajax("post", "/farm-huyang/other-sales/list", data)

export const reqAddElseSell = (data) => ajax("post", "/farm-huyang/other-sales/add", data)

export const reqUpdateElseSell = (data) => ajax("post", "/farm-huyang/other-sales/update", data)

export const reqDelElseSell = (id) => ajax("post", "/farm-huyang/other-sales/delete", {id})