import { ajax } from "../sdk/ajax";


/* 配送管理  Dispatch*/
export const reqDispatchList = (data) => ajax("post", "/farm-huyang/distribution-management/list", data)

export const reqAddDispatch = (data) => ajax("post", "/farm-huyang/distribution-management/add", data)

export const reqUpdateDispatch = (data) => ajax("post", "/farm-huyang/distribution-management/update", data)

export const reqDelDispatch = (id) => ajax("post", "/farm-huyang/distribution-management/delete", {id})


/* 门店管理  ShopStore*/
export const reqShopStoreList = (data) => ajax("post", "/farm-huyang/store-management/list", data)

export const reqAddShopStore = (data) => ajax("post", "/farm-huyang/store-management/add", data)

export const reqUpdateShopStore = (data) => ajax("post", "/farm-huyang/store-management/update", data)

export const reqDelShopStore = (id) => ajax("post", "/farm-huyang/store-management/delete", {id})


/* 产品追溯  ProductQuery*/
export const reqProductQueryList = (data) => ajax("post", "/farm-huyang/product-traceability/list", data)

// export const reqAddProductQuery = (data) => ajax("post", "/farm-huyang/product-traceability/add", data)

// export const reqUpdateProductQuery = (data) => ajax("post", "/farm-huyang/product-traceability/update", data)

// export const reqDelProductQuery = (id) => ajax("post", "/farm-huyang/product-traceability/delete", {id})

