import Home from '../views/Home/Home.vue'
/* 首页  */
import index from '@/views/index/Index.vue'
/* 定点屠宰智能管控 */
import firmBuy from '@/views/slaughterManagment/firmBuy.vue'
import inButcherHurdle from '@/views/slaughterManagment/inButcherHurdle.vue'
import reportQuarantine from '@/views/slaughterManagment/reportQuarantine.vue'
import regisSlaughter from '@/views/slaughterManagment/regisSlaughter.vue'
import slaughterWeight from '@/views/slaughterManagment/slaughterWeight.vue'
import inStore from '@/views/slaughterManagment/inStore.vue'
import outStore from '@/views/slaughterManagment/outStore.vue'
import drainageAcid from '@/views/slaughterManagment/drainageAcid.vue'
import segmentation from '@/views/slaughterManagment/segmentation.vue'
import splitBatch from '@/views/slaughterManagment/splitBatch.vue'
import slaughterBatch from '@/views/slaughterManagment/slaughterBatch.vue'
import costAccounting from '@/views/slaughterManagment/costAccounting.vue'
/* 销售管理 */
import client from '@/views/sellManagement/client.vue'
import price from '@/views/sellManagement/price.vue'
import sellRegister from '@/views/sellManagement/sellRegister.vue'
import directSell from '@/views/sellManagement/directSell.vue'
import carcassSell from '@/views/sellManagement/carcassSell.vue'
import splitSell from '@/views/sellManagement/splitSell.vue'
import elseSell from '@/views/sellManagement/elseSell.vue'
/* 产品制作智能监控 */
import productInfo from '@/views/productManagement/productInfo.vue'
import splitLog from '@/views/productManagement/splitLog.vue'
import sheepskinLog from '@/views/productManagement/sheepskinLog.vue'
import goatBloodLog from '@/views/productManagement/goatBloodLog.vue'
import goatHasletLog from '@/views/productManagement/goatHasletLog.vue'
/* 鲜肉储运智能管控 */
import dispatching from '@/views/storeTransportation/dispatching.vue'
import transportation from '@/views/storeTransportation/transportation.vue'
import shopStore from '@/views/storeTransportation/shopStore.vue'
import productQuery from '@/views/storeTransportation/productQuery.vue'


/* 模板 */
import Aa from '../views/template/Aa.vue'
import Ab from '../views/template/Ab.vue'
import Ac from '../views/template/Ac.vue'
import Ad from '../views/template/Ad.vue'
import Ae from '../views/template/Ae.vue'
import Af from '../views/template/Af.vue'


export default [
  {
		path: '/home',
		component: Home,
		children: [
			{
				path: 'index',
				name: 'index',
				component: index
			},
			// 定点屠宰智能管控
			{
				path: 'firmBuy',
				name: 'firmBuy',
				component: firmBuy
			},
			{
				path: 'inButcherHurdle',
				name: 'inButcherHurdle',
				component: inButcherHurdle
			},
			{
				path: 'reportQuarantine',
				name: 'reportQuarantine',
				component: reportQuarantine
			},
			{
				path: 'regisSlaughter',
				name: 'regisSlaughter',
				component: regisSlaughter
			},
			{
				path: 'slaughterWeight',
				name: 'slaughterWeight',
				component: slaughterWeight
			},
			{
				path: 'inStore',
				name: 'inStore',
				component: inStore
			},
			{
				path: 'outStore',
				name: 'outStore',
				component: outStore
			},
			{
				path: 'segmentation',
				name: 'segmentation',
				component: segmentation
			},
			{
				path: 'splitBatch',
				name: 'splitBatch',
				component: splitBatch
			},
			{
				path: 'slaughterBatch',
				name: 'slaughterBatch',
				component: slaughterBatch
			},
			{
				path: 'costAccounting',
				name: 'costAccounting',
				component: costAccounting
			},
			/* 销售管理 */
			{
				path: 'client',
				name: 'client',
				component: client
			},
			{
				path: 'price',
				name: 'price',
				component: price
			},
			{
				path: 'sellRegister',
				name: 'sellRegister',
				component: sellRegister
			},
			{
				path: 'directSell',
				name: 'directSell',
				component: directSell
			},
			{
				path: 'carcassSell',
				name: 'carcassSell',
				component: carcassSell
			},
			{
				path: 'splitSell',
				name: 'splitSell',
				component: splitSell
			},
			{
				path: 'elseSell',
				name: 'elseSell',
				component: elseSell
			},
			{
				path: 'drainageAcid',
				name: 'drainageAcid',
				component: drainageAcid
			},
			/* 产品制作智能监控 */
			{
				path: 'productInfo',
				name: 'productInfo',
				component: productInfo
			},
			{
				path: 'splitLog',
				name: 'splitLog',
				component: splitLog
			},
			{
				path: 'sheepskinLog',
				name: 'sheepskinLog',
				component: sheepskinLog
			},
			{
				path: 'goatBloodLog',
				name: 'goatBloodLog',
				component: goatBloodLog
			},
			{
				path: 'goatHasletLog',
				name: 'goatHasletLog',
				component: goatHasletLog
			},
			{
				path: 'dispatching',
				name: 'dispatching',
				component: dispatching
			},
			{
				path: 'transportation',
				name: 'transportation',
				component: transportation
			},
			{
				path: 'shopStore',
				name: 'shopStore',
				component: shopStore
			},
			{
				path: 'productQuery',
				name: 'productQuery',
				component: productQuery
			},
			
			
			// 模板
			{
				path: 'aa',
				name: 'aa',
				component: Aa
			},
			{
				path: 'ab',
				name: 'ab',
				component: Ab
			},
			{
				path: 'ac',
				name: 'ac',
				component: Ac
			},
			{
				path: 'ad',
				name: 'ad',
				component: Ad
			},
			{
				path: 'ae',
				name: 'ae',
				component: Ae
			},
			{
				path: 'af',
				name: 'af',
				component: Af
			}

		]
	},
]
