import { ajax } from "../sdk/ajax";


/* 企业采购 */
// 企业采购列表
export const reqFirmBuyList = (data) => ajax("post", "/farm-huyang/enterprise-procurement/list", data)

export const reqAddFirmBuy = (data) => ajax("post", "/farm-huyang/enterprise-procurement/add", data)

export const reqUpdateFirmBuy = (data) => ajax("post", "/farm-huyang/enterprise-procurement/update", data)

export const reqDelFirmBuy = (id) => ajax("post", "/farm-huyang/enterprise-procurement/delete", {id})


/* 入待宰栏 */ 
export const reqWaitList = (data) => ajax("post", "/farm-huyang/wait-slaughter/list", data)

export const reqAddWait = (data) => ajax("post", "/farm-huyang/wait-slaughter/add", data)

export const reqUpdateWait = (data) => ajax("post", "/farm-huyang/wait-slaughter/update", data)

export const reqDelWait = (id) => ajax("post", "/farm-huyang/wait-slaughter/delete", {id})


/* 上报检疫 */
export const reqReportList = (data) => ajax("post", "/farm-huyang/report-quarantine/list", data)

export const reqAddReport = (data) => ajax("post", "/farm-huyang/report-quarantine/add", data)

export const reqUpdateReport = (data) => ajax("post", "/farm-huyang/report-quarantine/update", data)

export const reqDelReport = (id) => ajax("post", "/farm-huyang/report-quarantine/delete", {id})


/* 入宰登记 */
export const reqRegisList = (data) => ajax("post", "/farm-huyang/registration-slaughter/list", data)

export const reqAddRegis = (data) => ajax("post", "/farm-huyang/registration-slaughter/add", data)

export const reqUpdateRegis = (data) => ajax("post", "/farm-huyang/registration-slaughter/update", data)

export const reqDelRegis = (id) => ajax("post", "/farm-huyang/registration-slaughter/delete", {id})


/* 宰后称重  WeighS = Weight slaughter */
export const reqWeighSList = (data) => ajax("post", "/farm-huyang/weigh-slaughter/list", data)

export const reqAddWeighS = (data) => ajax("post", "/farm-huyang/weigh-slaughter/add", data)

export const reqUpdateWeighS = (data) => ajax("post", "/farm-huyang/weigh-slaughter/update", data)

export const reqDelWeighS = (id) => ajax("post", "/farm-huyang/weigh-slaughter/delete", {id})


/* 入库管理  InStore*/
export const reqInStoreList = (data) => ajax("post", "/farm-huyang/warehouse-in-manage/list", data)

export const reqAddInStore = (data) => ajax("post", "/farm-huyang/warehouse-in-manage/add", data)

export const reqUpdateInStore = (data) => ajax("post", "/farm-huyang/warehouse-in-manage/update", data)

export const reqDelInStore = (id) => ajax("post", "/farm-huyang/warehouse-in-manage/delete", {id})


/* 出仓管理  OutStore*/
export const reqOutStoreList = (data) => ajax("post", "/farm-huyang/warehouse-out-manage/list", data)

export const reqAddOutStore = (data) => ajax("post", "/farm-huyang/warehouse-out-manage/add", data)

export const reqUpdateOutStore = (data) => ajax("post", "/farm-huyang/warehouse-out-manage/update", data)

export const reqDelOutStore = (id) => ajax("post", "/farm-huyang/warehouse-out-manage/delete", {id})


/* 分割加工  Segmentation*/
export const reqSegmentationList = (data) => ajax("post", "/farm-huyang/segmentation-processing/list", data)

export const reqAddSegmentation = (data) => ajax("post", "/farm-huyang/segmentation-processing/add", data)

export const reqUpdateSegmentation = (data) => ajax("post", "/farm-huyang/segmentation-processing/update", data)

export const reqDelSegmentation = (id) => ajax("post", "/farm-huyang/segmentation-processing/delete", {id})


/* 排酸损耗  DrainageAcid*/
export const reqDrainageAcidList = (data) => ajax("post", "/farm-huyang/acid-drainage-loss/list", data)

export const reqAddDrainageAcid = (data) => ajax("post", "/farm-huyang/acid-drainage-loss/add", data)

export const reqUpdateDrainageAcid = (data) => ajax("post", "/farm-huyang/acid-drainage-loss/update", data)

export const reqDelDrainageAcid = (id) => ajax("post", "/farm-huyang/acid-drainage-loss/delete", {id})


/* 分割批次  SplitBatch*/
export const reqSplitBatchList = (data) => ajax("post", "/farm-huyang/split-batch/list", data)

export const reqAddSplitBatch = (data) => ajax("post", "/farm-huyang/split-batch/add", data)

export const reqUpdateSplitBatch = (data) => ajax("post", "/farm-huyang/split-batch/update", data)

export const reqDelSplitBatch = (id) => ajax("post", "/farm-huyang/split-batch/delete", {id})

export const reqCreateBatch = (data) => ajax("post", "/farm-huyang/split-batch//create-batch", data)


/* 屠宰批次  SlaughterBatch*/
export const reqSlaughterBatchList = (data) => ajax("post", "/farm-huyang/product-traceability/list", data)
